import request from "@/utils/request";

// 查询地质简介地层及岩性描述数据列表
export function listJsbb(query) {
  return request({
    url: "/system/jsbbPdc/list",
    method: "get",
    params: query,
  });
}

// 查询地质简介地层及岩性描述数据详细
export function getJsbb(query) {
  return request({
    url: "/system/jsbbPdc/getInfo",
    method: "get",
    params: query
  });
}

// 新增地质简介地层及岩性描述数据
export function addJsbb(data) {
  return request({
    url: "/system/jsbbPdc",
    method: "post",
    data: data,
  });
}

// 修改地质简介地层及岩性描述数据
export function updateJsbb(data) {
  return request({
    url: "/system/jsbbPdc",
    method: "put",
    data: data,
  });
}

// 删除地质简介地层及岩性描述数据
export function delJsbb(query) {
  return request({
    url: "/system/jsbbPdc/remove",
    method: "delete",
    params: query
  });
}
